window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"1543","username":"RichApps","comment":"<p>If you use &quot;bStateSave&quot;: true, and you want select dropdown to show proper value after refresh you need to substitute this code:<\/p>\r\n\r\n<pre><code class=\"multiline language-js\">                column.data().unique().sort().each( function ( d, j ) {\r\n                    select.append( '<option value=\"'+d+'\">'+d+'<\/option>' )\r\n                } );\r\n<\/code><\/pre>\r\n\r\n<p>with this:<\/p>\r\n\r\n<pre><code class=\"multiline language-js\">                column.data().unique().sort().each( function ( d, j ) {\r\n                    if(column.search() === '^'+d+'$'){\r\n                        select.append( '<option value=\"'+d+'\" selected=\"selected\">'+d+'<\/option>' )\r\n                    } else {\r\n                        select.append( '<option value=\"'+d+'\">'+d+'<\/option>' )\r\n                    }\r\n                } );\r\n<\/code><\/pre>\r\n","created":"11:03, Mon 4th Jan 2016","parent":null,"version":"1.10.10","children":[]},{"id":"2217","username":"jensadne","comment":"<p>Another thing worth mentioning is that if you use a custom renderer for the column, and want the dropdown to show the displayed values, you can change from:<\/p>\n\n<pre><code class=\"multiline language-js\">column.data().unique().sort().each( function ( d, j )\n<\/code><\/pre>\n\n<p>to<\/p>\n\n<pre><code class=\"multiline language-js\">column.cells('', column[0]).render('display').sort().unique().each( function ( d, j )\n<\/code><\/pre>\n","created":"17:09, Tue 18th Oct 2016","parent":null,"version":"1.10.12","children":[]},{"id":"2233","username":"datamonkey33","comment":"<p>If you want to only show certain columns you can use a array.<\/p>\n\n<p>This<\/p>\n\n<pre><code class=\"multiline language-js\"> this.api().columns().every( function () {\n<\/code><\/pre>\n\n<p>To<\/p>\n\n<pre><code class=\"multiline language-js\">this.api().columns([0, 1, 9]).every( function () {\n<\/code><\/pre>\n","created":"12:34, Wed 26th Oct 2016","parent":null,"version":"1.10.12","children":[]},{"id":"2292","username":"bsided","comment":"<p>Make sure you have <code>&lt;tfoot&gt;&lt;\/tfoot&gt;<\/code> block defined in your <code>&lt;table&gt;<\/code> otherwise there would be no footer!<\/p>\r\n","created":"13:07, Mon 21st Nov 2016","parent":null,"version":"1.10.12","children":[]},{"id":"2314","username":"kender","comment":"<p>If you have links, or other html elements within your <code>&lt;td&gt;<\/code> element, you will want to return only the text, the following will check for both plain text content and content with markup, returning only the plain text for the drop down list<\/p>\r\n\r\n<p>From<\/p>\r\n\r\n<pre><code class=\"multiline language-js\">select.append( '&lt;option value=&quot;'+d+'&quot;&gt;'+d+'&lt;\/option&gt;' )\r\n<\/code><\/pre>\r\n\r\n<p>To<\/p>\r\n\r\n<pre><code class=\"multiline language-js\">var val = $('&lt;div\/&gt;').html(d).text();\r\nselect.append( '&lt;option value=&quot;' + val + '&quot;&gt;' + val + '&lt;\/option&gt;' );\r\n<\/code><\/pre>\r\n","created":"16:53, Fri 2nd Dec 2016","parent":null,"version":"1.10.12","children":[]},{"id":"2518","username":"HC777","comment":"<p>If you like to set text on select option in the 0 position in which this example is empty, just do this in the initialisation:<\/p>\n\n<pre><code class=\"multiline language-js\">  var select = $('<select><option value=\"\">Show all<\/option><\/select>');\n<\/code><\/pre>\n","created":"22:39, Wed 8th Mar 2017","parent":null,"version":"1.10.13","children":[]},{"id":"2995","username":"georgeforster","comment":"<p>Following on from bsided's comment, the &lt;tfoot&gt;&lt;\/tfoot&gt; block must also have the row and columns included not just an empty block.<\/p>\n","created":"10:38, Mon 30th Oct 2017","parent":null,"version":"1.10.16","children":[]},{"id":"3169","username":"Thieus","comment":"<p>If you use <code>stateSave: true<\/code>, and you want select dropdown to show proper value after refresh you need to substitute this code:<\/p>\n\n<pre><code class=\"multiline language-js\">column\n  .data()\n  .unique()\n  .sort()\n  .each(function(d, j) {\n    var val = $.fn.dataTable.util.escapeRegex(d);\n    if (column.search() === \"^\" + val + \"$\") {\n      select.append(\n        '&lt;option value=\"' + d + '\" selected=\"selected\"&gt;' + d + \"&lt;\/option&gt;\"\n      );\n    } else {\n      select.append('&lt;option value=\"' + d + '\"&gt;' + d + \"&lt;\/option&gt;\");\n    }\n  });\n<\/code><\/pre>\n","created":"14:30, Mon 19th Feb 2018","parent":null,"version":"1.10.16","children":[]},{"id":"3542","username":"jlemoo","comment":"<p>If the values are exceptionally long, they will end up expanding the table column accordingly. A workaround is to truncate the display value for the drop-down select control. I cut this one off at 30 characters.<\/p>\n\n<pre><code class=\"multiline language-js\">select.append('&lt;option value=\"' + d + '\"&gt;' + d.substr(0,30) + '&lt;\/option&gt;')\n<\/code><\/pre>\n","created":"22:58, Tue 7th Aug 2018","parent":null,"version":"1.10.19","children":[]},{"id":"3613","username":"klukiyan","comment":"<p>when using this along with ajax or javascript array, not only <code>&lt;tfoot&gt;&lt;\/tfoot&gt;<\/code> needs to be present, but specifically the <code>&lt;th&gt;&lt;\/th&gt;<\/code> element for each piece.<\/p>\n\n<p>I was adding filtering to column 0,1,3 and had to prepare such container<\/p>\n\n<pre><code class=\"multiline language-html\">&lt;table id=\"datatables\" class=\"table table-striped table-hover\" style=\"width:100%\"&gt;\n    &lt;thead class=\"text-primary\"&gt;&lt;\/thead&gt;\n    &lt;tbody&gt;&lt;\/tbody&gt;\n    &lt;tfoot class=\"text-primary\"&gt;\n        &lt;tr&gt;\n            &lt;th&gt;&lt;\/th&gt;\n            &lt;th&gt;&lt;\/th&gt;\n            &lt;th&gt;&lt;\/th&gt;\n            &lt;th&gt;&lt;\/th&gt;\n            &lt;th&gt;&lt;\/th&gt;\n        &lt;\/tr&gt;\n    &lt;\/tfoot&gt;\n&lt;\/table&gt;\n<\/code><\/pre>\n","created":"10:21, Thu 13th Sep 2018","parent":null,"version":"1.10.19","children":[]},{"id":"3730","username":"stporstein","comment":"<p>If you want to get the filtering in the header and in addition keep the header title just replace:<\/p>\n\n<pre><code class=\"multiline language-js\">.appendTo( $(column.footer().empty()) )\n<\/code><\/pre>\n\n<p>by:<\/p>\n\n<pre><code class=\"multiline language-js\">.appendTo( $(column.header()) )\n<\/code><\/pre>\n","created":"15:13, Fri 23rd Nov 2018","parent":null,"version":"1.10.19","children":[]},{"id":"3756","username":"ecedenyo","comment":"<p>Following @stporstein comment, take into consideration that implementing this <em>multi-filter-select<\/em> in the <strong>header<\/strong> might cause conflicts with the column ordening, so you might want to keep this in the <strong>footer<\/strong> if you want to keep the column ordening feature.<\/p>\n","created":"10:32, Thu 13th Dec 2018","parent":null,"version":"1.10.19","children":[]},{"id":"3762","username":"hasaneker","comment":"<p>If you want to get the filtering in the header and in addition keep the header title just replace:<\/p>\n\n<pre><code class=\"multiline language-js\">.appendTo( $(column.footer().empty()) )\n<\/code><\/pre>\n\n<p>by<\/p>\n\n<pre><code class=\"multiline language-js\">.appendTo( $(column.header()) )\n<\/code><\/pre>\n","created":"14:16, Mon 17th Dec 2018","parent":null,"version":"1.10.19","children":[]},{"id":"3951","username":"MarceloMariano","comment":"<p>Following @ecedenyo comment, to avoid conflicts with the column ordening use:<\/p>\n\n<pre><code class=\"multiline language-js\">this.api().columns().every( function () {\n   ...\n          $( select ).click( function(e) {\n                 e.stopPropagation();\n           });\n   ...\n} );\n<\/code><\/pre>\n","created":"17:34, Thu 4th Apr 2019","parent":null,"version":"1.10.19","children":[]},{"id":"4305","username":"Rbbn","comment":"<p>If you want the drop down to show up anywhere else, you can append it to a div element for example.<\/p>\n\n<p>Change:<\/p>\n\n<pre><code class=\"multiline language-js\">.appendTo( $(column.footer()).empty() )\n<\/code><\/pre>\n\n<p>To:<\/p>\n\n<pre><code class=\"multiline language-js\">.appendTo( '#userstable_filter' )\n<\/code><\/pre>\n\n<p>(or any other div element id=\"something\" instead of #userstable_filter\")<\/p>\n","created":"22:56, Tue 19th Nov 2019","parent":null,"version":"1.10.20","children":[]},{"id":"4563","username":"Neeraj1005","comment":"<p>If you want to add the head name in select empty field do this<\/p>\n\n<pre><code class=\"multiline language-js\">this.api()\n  .columns([3, 4, 5, 9])\n  .every(function (d) {\n    \/\/This is used for specific column\n    var column = this;\n    var theadname = $(\"#example th\").eq([d]).text(); \/\/used this specify table name and head\n    var select = $(\n      '&lt;select class=\"form-control my-1\"&gt;&lt;option value=\"\"&gt;' +\n        theadname +\n        \": All&lt;\/option&gt;&lt;\/select&gt;\"\n    );\n  });\n<\/code><\/pre>\n","created":"09:56, Sun 24th May 2020","parent":null,"version":"1.10.21","children":[]}] );
} );window._site.page = "examples\/api\/multi_filter_select.html";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = 'cf5f6f89c9ca488ec989c73a177188ab5625440019f6d39d';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


